package com.spring.series.inner.bean;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestEmployee {

	public static void main(String[] args) {
		testInnerBean();
	}

	private static void testInnerBean(){

		// loading spring context xml from classpath
		ApplicationContext applicationContext = new ClassPathXmlApplicationContext("com/spring/series/inner/bean/SpringContext.xml");

		// getting bean from XML & cast it
		Employee employee = (Employee) applicationContext.getBean("employee");

		// printing the values
		System.out.println(employee);
	}
}